%global		momorel 1

Summary: 	A library for network interface configuration with DHCP
Name: 		libdhcp
Version: 	1.6
Release: 	%{momorel}m
License: 	GPL
Group: 		Development/Libraries
URL: 		http://people.redhat.com/~jvdias/libdhcp-1.0.tar.gz
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  dhcp-devel, libdhcp4client-devel >= 3.0.4-2
BuildRequires:	libdhcp6client-devel, libnl-devel, pkgconfig, doxygen

%description
libdhcp enables programs to invoke and control the
Dynamic Host Configuration Protocol (DHCP) clients:
the Internet Software Consortium (ISC) IPv4 DHCP 
client library, libdhcp4client, and the IPv6 DHCPv6
client library, libdhcp6client, and provides 
Network Interface Configuration (NIC) services for 
network parameter autoconfiguration with DHCP.

%package devel
Summary:	C header files for development with libdhcp.
Group: 		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdhcp4client-devel, libdhcp6client-devel, libnl-devel

%description devel
C header files for development with libdhcp.

%{?!NODEBUGINFO: %define NODEBUGINFO 0}
%if %{NODEBUGINFO}
%define debug_package %{nil}
%endif

%prep
%setup -q

%build
rm -rf $RPM_BUILD_ROOT
%if %{NODEBUGINFO}
CFLAGS="`echo $RPM_OPT_FLAGS $CFLAGS | sed 's/-O[0-3]\ //g;s/-g\ /-g3\ -gdwarf-2\ /g'`" \
%else
CFLAGS="$RPM_OPT_FLAGS $CFLAGS" \
%endif
CC=%{__cc} \
make %{?_smp_mflags}


%define pkgcfgdir %{_libdir}/pkgconfig

%install
%makeinstall pkgcfgdir=${RPM_BUILD_ROOT}%{pkgcfgdir}
%if %{NODEBUGINFO}
/usr/lib/rpm/brp-compress
exit 0
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libdhcp.so.*
%doc README LICENSE html/ examples/

%files  devel
%defattr(-,root,root,-)
%{_libdir}/libdhcp.so
%{_libdir}/libdhcp.a
%{_includedir}/libdhcp
%{pkgcfgdir}/libdhcp.pc

%changelog
* Sun Jul  2 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6-1m)
- update 1.6

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5-1m)
- first import Momonga Linux
-- need Anaconda-11.1.x

* Wed Jun 21 2006 Jeremy Katz <katzj@redhat.com> - 1.5-2
- actually follow the timeout given instead of always using 10 seconds

* Thu Jun 15 2006 Peter Jones <pjones@redhat.com> - 1.5-1
- fix some bugs anaconda was hitting

* Thu Jun 08 2006 Jason Vas Dias <jvdias@redhat.com> - 1.3-1
- Ensure IPv6 module is loaded before invoking dhcpv6_client 
- fix segfault on free() of uninitialized 'sdns' in dhcp_nic

* Wed Jun 07 2006 Jason Vas Dias <jvdias@redhat.com> - 1.2-2
- fix bug 194377: -devel package missing Require:s. 

* Sun May 21 2006 Jason Vas Dias <jvdias@redhat.com> - 1.2-1
- numerous improvements - stopped using libnl cache at all to
  fix memory leaks.

* Sun May 14 2006 Jason Vas Dias <jvdias@redhat.com> - 1.1-1 
- Initial build.
